com.mxgraph.util

## Class mxResources

- java.lang.Object
- - com.mxgraph.util.mxResources

-     public class mxResources
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.LinkedList<java.util.ResourceBundle>` | `bundles` Ordered list of the inserted resource bundles.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxResources()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(java.lang.String basename)` Adds a resource bundle.
    `static void` | `add(java.lang.String basename, java.util.Locale locale)` Adds a resource bundle.
    `static java.lang.String` | `get(java.lang.String key)`
    `static java.lang.String` | `get(java.lang.String key, java.lang.String defaultValue)`
    `static java.lang.String` | `get(java.lang.String key, java.lang.String[] params)` Returns the value for the specified resource key.
    `static java.lang.String` | `get(java.lang.String key, java.lang.String[] params, java.lang.String defaultValue)` Returns the value for the specified resource key.
    `static java.util.LinkedList<java.util.ResourceBundle>` | `getBundles()` Returns the bundles.
    `protected static java.lang.String` | `getResource(java.lang.String key)` Returns the value for `key` by searching the resource bundles in inverse order or `null` if no value can be found for `key`.
    `static void` | `setBundles(java.util.LinkedList<java.util.ResourceBundle> value)` Sets the bundles.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bundles

          protected static java.util.LinkedList<java.util.ResourceBundle> bundles

      Ordered list of the inserted resource bundles.

  - ### Constructor Detail

    - #### mxResources

          public mxResources()

  - ### Method Detail

    - #### getBundles

          public static java.util.LinkedList<java.util.ResourceBundle> getBundles()

      Returns the bundles.
      Returns:
        Returns the bundles.

    - #### setBundles

          public static void setBundles(java.util.LinkedList<java.util.ResourceBundle> value)

      Sets the bundles.
      Parameters:
        `value` - The bundles to set.

    - #### add

          public static void add(java.lang.String basename)

      Adds a resource bundle. This may throw a MissingResourceException that should be handled in the calling code.
      Parameters:
        `basename` - The basename of the resource bundle to add.

    - #### add

          public static void add(java.lang.String basename,
                 java.util.Locale locale)

      Adds a resource bundle. This may throw a MissingResourceException that should be handled in the calling code.
      Parameters:
        `basename` - The basename of the resource bundle to add.

    - #### get

          public static java.lang.String get(java.lang.String key)

    - #### get

          public static java.lang.String get(java.lang.String key,
                             java.lang.String defaultValue)

    - #### get

          public static java.lang.String get(java.lang.String key,
                             java.lang.String[] params)

      Returns the value for the specified resource key.

    - #### get

          public static java.lang.String get(java.lang.String key,
                             java.lang.String[] params,
                             java.lang.String defaultValue)

      Returns the value for the specified resource key.

    - #### getResource

          protected static java.lang.String getResource(java.lang.String key)

      Returns the value for `key` by searching the resource bundles in inverse order or `null` if no value can be found for `key`.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.